# bufferedCount property

int get bufferedCount

Returns the number of characters currently in the buffer.

## Returns

The number of characters waiting to be flushed.

## Example

    final writer = FileWriter('output.txt');
    try {
      await writer.write('Hello');
      print('Buffered characters: ${writer.bufferedCount}'); // 5

      await writer.flush();
      print('Buffered characters: ${writer.bufferedCount}'); // 0
    } finally {
      await writer.close();
    }

## Implementation

    int get bufferedCount => _buffer.length;